# basic_string.h File Reference

`#include <bits/atomicity.h>`
`#include <debug/debug.h>`

Include dependency graph for basic_string.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | std

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file basic_string.h.